RDCode: RDKit::TDTWriter Class Reference

# RDKit::TDTWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::TDTWriter:

List of all members.

## Public Member Functions
| TDTWriter (std::string fileName)
| TDTWriter (std::ostream *outStream, bool takeOwnership=false)
| ~TDTWriter ()
void | setProps (const STR_VECT &propNames)
| set a vector of property names that are need to be written out for each molecule
void | write (ROMol &mol, int confId=defaultConfId)
| write a new molecule to the file
void | flush ()
| flush the ostream
unsigned int | numMols () const
| get the number of molecules written so far
void | setWrite2D (bool state=true)
bool | getWrite2D () const
void | setWriteNames (bool state=true)
bool | getWriteNames () const
void | setNumDigits (unsigned int numDigits)
unsigned int | getNumDigits () const

## Detailed Description

The TDTWriter is for writing molecules and properties to TDT files

Definition at line 148 of file MolWriters.h.

## Constructor & Destructor Documentation

RDKit::TDTWriter::TDTWriter | ( | std::string | fileName | ) |

RDKit::TDTWriter::TDTWriter | ( | std::ostream * | outStream,
|  | bool | takeOwnership = `false` |
| ) |  |  |

RDKit::TDTWriter::~TDTWriter | ( |  | ) |

## Member Function Documentation

void RDKit::TDTWriter::setProps | ( | const STR_VECT & | propNames | ) | `[virtual]`

set a vector of property names that are need to be written out for each molecule

Implements RDKit::MolWriter.

void RDKit::TDTWriter::write | ( | ROMol & | mol,
|  | int | confId = `defaultConfId` |
| ) |  |  | `[virtual]`

write a new molecule to the file

Implements RDKit::MolWriter.

void RDKit::TDTWriter::flush | ( |  | ) | `[inline, virtual]`

flush the ostream

Implements RDKit::MolWriter.

Definition at line 169 of file MolWriters.h.

References PRECONDITION.

unsigned int RDKit::TDTWriter::numMols | ( |  | ) | const`[inline, virtual]`

get the number of molecules written so far

Implements RDKit::MolWriter.

Definition at line 175 of file MolWriters.h.

void RDKit::TDTWriter::setWrite2D | ( | bool | state = `true` | ) | `[inline]`

Definition at line 177 of file MolWriters.h.

bool RDKit::TDTWriter::getWrite2D | ( |  | ) | const`[inline]`

Definition at line 178 of file MolWriters.h.

void RDKit::TDTWriter::setWriteNames | ( | bool | state = `true` | ) | `[inline]`

Definition at line 180 of file MolWriters.h.

bool RDKit::TDTWriter::getWriteNames | ( |  | ) | const`[inline]`

Definition at line 181 of file MolWriters.h.

void RDKit::TDTWriter::setNumDigits | ( | unsigned int | numDigits | ) | `[inline]`

Definition at line 183 of file MolWriters.h.

unsigned int RDKit::TDTWriter::getNumDigits | ( |  | ) | const`[inline]`

Definition at line 184 of file MolWriters.h.

The documentation for this class was generated from the following file:

- MolWriters.h